package com.viettel.campaign.service;

import com.viettel.campaign.model.ApParam;
import com.viettel.campaign.repository.ApParamRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ApParamServiceImpl implements ApParamService {

    @Autowired
    ApParamRepository apParamRepository;

    @Override
    public Iterable<ApParam> getAllParams() {
        return apParamRepository.findAll();
    }

    @Override
    public List<ApParam> getParamByName(String parName) {
        return apParamRepository.findParamByName(parName);
    }
}
