package com.viettel.campaign.repository;

import com.viettel.campaign.model.ApParam;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface ApParamRepository extends JpaRepository<ApParam, Long>, ApParamRepositoryCustom {
    @Query(value = "SELECT * FROM AP_PARAM p WHERE PAR_NAME LIKE %?1%", nativeQuery = true)
    List<ApParam> findParamByName(String parName);
}
